body {
  display: flex;
  flex-direction: column;

  .row {
    display: flex;
    justify-content: center;
    flex-direction: row;

    .block-1, .block-2, .block-3, .block-4 {
      height: 10vh;
      width: 10vw;
      margin: 1vw;
    }

    .block-1 {
      background-color: red;
    }

    .block-2 {
      background-image: linear-gradient(90deg, green, blue);
    }

    .block-3 {
      background-image: radial-gradient(red, blue);
    }

    .block-4 {
      background-size: cover;
      background-image: url("https://upload.wikimedia.org/wikipedia/commons/9/92/Colorful_spring_garden.jpg");
    }
  }
}